## ros-noetic-nav-2d-msgs 0.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(nav_2d_msgs)

find_package(catkin REQUIRED COMPONENTS
    geometry_msgs
    message_generation
    std_msgs
)

add_message_files(FILES
    ComplexPolygon2D.msg
    NavGridInfo.msg
    NavGridOfChars.msg
    NavGridOfCharsUpdate.msg
    NavGridOfDoubles.msg
    NavGridOfDoublesUpdate.msg
    Path2D.msg
    Point2D.msg
    Polygon2D.msg
    Polygon2DCollection.msg
    Polygon2DStamped.msg
    Pose2D32.msg
    Pose2DStamped.msg
    Twist2D.msg
    Twist2D32.msg
    Twist2DStamped.msg
    UIntBounds.msg
)

add_service_files(FILES SwitchPlugin.srv)

generate_messages(DEPENDENCIES geometry_msgs std_msgs)

catkin_package(
    CATKIN_DEPENDS geometry_msgs message_runtime std_msgs
)

=== debian/changelog ===
ros-noetic-nav-2d-msgs (0.3.0-2focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 11 Dec 2020 20:51:33 -0000

=== debian/control ===
Source: ros-noetic-nav-2d-msgs
Section: misc
Priority: optional
Maintainer: David V. Lu!! <davidvlu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-geometry-msgs, ros-noetic-message-generation, ros-noetic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-nav-2d-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-geometry-msgs, ros-noetic-message-runtime, ros-noetic-std-msgs
Description: Basic message types for two dimensional navigation, extending from geometry_msgs::Pose2D.
